package cn.iocoder.yudao.module.energy.convert.detail;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.energy.controller.admin.detail.vo.HydrogenDetailExcelVO;
import cn.iocoder.yudao.module.energy.controller.admin.detail.vo.HydrogenDetailRespVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.detail.EnergyHydrogenDetailDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface HydrogenDetailConvert {
    HydrogenDetailConvert INSTANCE = Mappers.getMapper(HydrogenDetailConvert.class);
    HydrogenDetailRespVO convert(EnergyHydrogenDetailDO bean);
    List<HydrogenDetailRespVO> convertList(List<EnergyHydrogenDetailDO> list);
    PageResult<HydrogenDetailRespVO> convertPage(PageResult<EnergyHydrogenDetailDO> page);
    List<HydrogenDetailExcelVO> convertExcelList(List<EnergyHydrogenDetailDO> list);
}
